#!/usr/bin/make -f

export PYBUILD_NAME=pytest-dependency

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	PYTHONPATH=. python3 -m sphinx -N -bhtml doc/src build/html
endif

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C doc clean
